Package org.eclipse.cdt.utils

# Interface IGnuToolFactory

All Known Subinterfaces:
  `ICygwinToolsFactroy`

All Known Implementing Classes:
  `DefaultCygwinToolFactory`, `DefaultGnuToolFactory`

public interface IGnuToolFactory

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GNU_TOOL_PREFIX_VARIABLE`

## Method Summary

Modifier and Type
Method
Description
`Addr2line`
`getAddr2line(org.eclipse.core.runtime.IPath path)`
`CPPFilt`
`getCPPFilt()`
`NM`
`getNM(org.eclipse.core.runtime.IPath path)`
`Objdump`
`getObjdump(org.eclipse.core.runtime.IPath path)`

## Field Details

### GNU_TOOL_PREFIX_VARIABLE

static final String GNU_TOOL_PREFIX_VARIABLE

Since:
  8.2
See Also:
  - Constant Field Values

## Method Details

### getAddr2line

Addr2line getAddr2line(org.eclipse.core.runtime.IPath path)

### getCPPFilt

CPPFilt getCPPFilt()

### getObjdump

Objdump getObjdump(org.eclipse.core.runtime.IPath path)

### getNM

NM getNM(org.eclipse.core.runtime.IPath path)